<template>
  <div class="CeHeader">
    <div class="CeHeader-primary">
      <Heading :level="layout">
        {{ header }}
      </Heading>
    </div>

    <div
      v-if="hasSubHeader"
      class="CeHeader-secondary"
    >
      <Heading :level="layout + 1">
        {{ subheader }}
      </Heading>
    </div>
  </div>
</template>

<script>
import Heading from '../Heading'

export default {
  name: 'CeHeader',

  components: {
    Heading
  },

  props: {
    header: {
      type: String,
      default: undefined,
      required: true
    },

    subheader: {
      type: String,
      default: undefined
    },

    layout: {
      type: [
        String,
        Number
      ],
      default: 2,
      validator (value) {
        const parsedValue = parseInt(value)

        return parsedValue >= 0 && parsedValue <= 5
      }
    }
  },

  computed: {
    hasSubHeader () {
      return !!this.subheader === true
    }
  }
}
</script>

<style scoped>
.CeHeader {
  display: grid;
  grid-template-columns: 100%;
  grid-template-rows: auto;
  grid-gap: 10px;
}

.CeHeader-primary {
  display: block;
}

.CeHeader-secondary {
  display: block;
}
</style>
